Message Queue, v4.5.1 API Specification

## com.sun.messaging.jms.management.server
Class JVMAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.JVMAttributes

    public class JVMAttributes

extends Object

Class containing information on JVM attributes.

Field Summary
`static String` `FREE_MEMORY` FreeMemory
`static String` `INIT_MEMORY` InitMemory
`static String` `MAX_MEMORY` MaxMemory
`static String` `TOTAL_MEMORY` TotalMemory

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREE_MEMORY

    public static final String FREE_MEMORY

  FreeMemory

  See Also:
    Constant Field Values

### INIT_MEMORY

    public static final String INIT_MEMORY

  InitMemory

  See Also:
    Constant Field Values

### MAX_MEMORY

    public static final String MAX_MEMORY

  MaxMemory

  See Also:
    Constant Field Values

### TOTAL_MEMORY

    public static final String TOTAL_MEMORY

  TotalMemory

  See Also:
    Constant Field Values

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.